unit WordAutoU;

interface

uses
  Windows, Messages, SysUtils, Classes, Graphics, Controls, Forms, Dialogs,
  StdCtrls, Word97, OleServer;

type
  TForm1 = class(TForm)
    WordApplication: TWordApplication;
    WordDocument: TWordDocument;
    btnVariant: TButton;
    btnInterface: TButton;
    btnComponent: TButton;
    procedure btnVariantClick(Sender: TObject);
    procedure btnInterfaceClick(Sender: TObject);
    procedure btnComponentClick(Sender: TObject);
  private
    { Private declarations }
  public
    { Public declarations }
  end;

var
  Form1: TForm1;

implementation

{$R *.DFM}

uses
  ComObj;

procedure TForm1.btnVariantClick(Sender: TObject);
var
  WordApplication, WordDocument: Variant;
begin
  WordApplication := CreateOleObject('Word.Application');
  WordApplication.Visible := True;
  WordDocument := WordApplication.Documents.Add;
  WordApplication.Selection.TypeText('Hello world');
  WordDocument.SaveAs(FileName := 'C:\Doc.Doc', AddToRecentFiles := False);
  WordApplication.Quit
end;

procedure TForm1.btnInterfaceClick(Sender: TObject);
var
  WordApplication: _Application;
  WordDocument: _Document;
  FileName, VariantFalse: OleVariant;
begin
  WordApplication := CoWordApplication.Create;
  WordApplication.Visible := True;
  WordDocument := WordApplication.Documents.Add(EmptyParam, EmptyParam);
  WordApplication.Selection.TypeText('Hello world');
  FileName := 'C:\Doc.Doc';
  VariantFalse := False;
  WordDocument.SaveAs(FileName, EmptyParam, EmptyParam,
    EmptyParam, VariantFalse, EmptyParam, EmptyParam,
    EmptyParam, EmptyParam, EmptyParam, EmptyParam);
  WordApplication.Quit(VariantFalse, EmptyParam, EmptyParam);
end;

procedure TForm1.btnComponentClick(Sender: TObject);
var
  FileName, VariantFalse: OleVariant;
begin
  WordApplication.Visible := True;
  WordDocument.ConnectTo(WordApplication.Documents.Add(EmptyParam, EmptyParam));
  WordApplication.Selection.TypeText('Hello world');
  FileName := 'C:\Doc.Doc';
  VariantFalse := False;
  WordDocument.SaveAs(FileName, EmptyParam,
    EmptyParam, EmptyParam, VariantFalse);
  WordApplication.Quit;
end;

end.
