unit MsgRcvU;

interface

uses
  Windows, Messages, SysUtils, Classes, Graphics, Controls, Forms, Dialogs;

type
  TMsgReceiveForm = class(TForm)
  protected
    procedure WndProc(var Message: TMessage); override;
  end;

var
  MsgReceiveForm: TMsgReceiveForm;

implementation

uses
  CustomMsgU;

{$R *.DFM}

{$ifdef Ver90}
//This routine arrived in Delphi 3 (the maintenance release version)
procedure ShowMessageFmt(const Msg: string; Params: array of const);
begin
  ShowMessage(Format(Msg, Params));
end;
{$endif}

procedure TMsgReceiveForm.WndProc(var Message: TMessage);
begin
  if Message.Msg = wm_ClinicMessage then
    ShowMessageFmt('Received a message (WParam = %d, LParam = %d)',
      [Message.WParam, Message.LParam])
  else
    inherited
end;

end.
