unit TestRig;

interface

uses
  Windows, Messages, SysUtils, Classes, Graphics, Controls, Forms, Dialogs,
    XmlClasses, StdCtrls, ComCtrls;

type
  TfrmTestRig = class(TForm)
    TV: TTreeView;
    procedure FormShow(Sender: TObject);
  private
    Doc: TXmlDDocument;
  public
  end;

var
  frmTestRig: TfrmTestRig;

implementation

{$R *.DFM}

procedure TfrmTestRig.FormShow(Sender: TObject);
//var
//  FileStream: TFileStream;
begin
  Doc := TXmlDDocument.Create;
  try
    Doc.LoadFromFile('Test1.xml');
    //FileStream := TFileStream.Create('Test1.xml', fmOpenRead);
    //Doc.LoadFromStream(FileStream, False);
  except
    on E: EXmlDParseError do
    begin
      E.ShowParseError;
      exit;
    end;
    else
      raise;
  end;
  Doc.SaveToFile('TestOutput1.xml');
  TV.Items.Assign(Doc);
  TV.FullExpand;
  TV.TopItem := TV.Items[0];
  Doc.Free;
  //FileStream.Free;
end;

end.
