unit Main;

interface

uses
  ComObj, ActiveX, AspTlb, SteveASO_TLB, StdVcl;

type
  TSteveServerObj = class(TASPMTSObject, ISteveServerObj)
  protected
    procedure DoIt; safecall;
  end;

implementation

uses ComServ;

procedure TSteveServerObj.DoIt;
var
  UserAgent: string;
begin
  UserAgent := Request.ServerVariables.Item['HTTP_USER_AGENT'];
  Response.Write('This text is coming to you from within the Active Server ' +
    'Object server.  You are using a <i>' + UserAgent + '</i> web browser.');
end;

initialization
  TAutoObjectFactory.Create(ComServer, TSteveServerObj, Class_SteveServerObj,
    ciMultiInstance, tmApartment);
end.
