unit ClipLst;

interface

uses
  WinProcs, WinTypes, Messages, SysUtils, Classes, Graphics, Controls, Forms,
  Dialogs, ExtCtrls, StdCtrls;

type
  TForm1 = class(TForm)
    ListBox1: TListBox;
    Timer1: TTimer;
    procedure Timer1Timer(Sender: TObject);
  private
    { Private declarations }
  public
    { Public declarations }
  end;

var
  Form1: TForm1;

implementation

{$R *.DFM}

uses
  ClipBrd;

{$ifdef Windows}
const
  CF_UNICODETEXT = 13;
  CF_ENHMETAFILE = 14;
  CF_HDROP = 15;
  CF_LOCALE = $10;
  CF_DSPENHMETAFILE = 142;
{$endif}

procedure TForm1.Timer1Timer(Sender: TObject);
var
  I: Integer;
  Buf: array[0..255] of Char;
  Fmt: String;
begin
  ListBox1.Items.Clear;
  for I := 0 to ClipBoard.FormatCount - 1 do
  begin
    GetClipboardFormatName(ClipBoard.Formats[I], Buf, SizeOf(Buf));
    Fmt := StrPas(Buf);
    if Fmt = '' then
      case ClipBoard.Formats[I] of
        CF_TEXT:            Fmt := 'CF_TEXT';
        CF_BITMAP:          Fmt := 'CF_BITMAP';
        CF_METAFILEPICT:    Fmt := 'CF_METAFILEPICT';
        CF_SYLK:            Fmt := 'CF_SYLK';
        CF_DIF:             Fmt := 'CF_DIF';
        CF_TIFF:            Fmt := 'CF_TIFF';
        CF_OEMTEXT:         Fmt := 'CF_OEMTEXT';
        CF_DIB:             Fmt := 'CF_DIB';
        CF_PALETTE:         Fmt := 'CF_PALETTE';
        CF_PENDATA:         Fmt := 'CF_PENDATA';
        CF_RIFF:            Fmt := 'CF_RIFF';
        CF_WAVE:            Fmt := 'CF_WAVE';
        CF_OWNERDISPLAY:    Fmt := 'CF_OWNERDISPLAY';
        CF_DSPTEXT:         Fmt := 'CF_DSPTEXT';
        CF_DSPBITMAP:       Fmt := 'CF_DSPBITMAP';
        CF_DSPMETAFILEPICT: Fmt := 'CF_DSPMETAFILEPICT';
        CF_UNICODETEXT:     Fmt := 'CF_UNICODETEXT';
        CF_ENHMETAFILE:     Fmt := 'CF_ENHMETAFILE';
        CF_HDROP:           Fmt := 'CF_HDROP';
        CF_LOCALE:          Fmt := 'CF_LOCALE';
        CF_DSPENHMETAFILE:  Fmt := 'CF_DSPENHMETAFILE';
      else
        Fmt := 'Unknown clipboard format'
      end;
    ListBox1.Items.Add(Fmt)
  end;
end;

end.
